Package relaxngcc.util

# Class SelectiveIterator

java.lang.Object
relaxngcc.util.SelectiveIterator

All Implemented Interfaces:
  `Iterator`

public abstract class SelectiveIterator extends Object implements Iterator
Iterator that returns a subset of another iterator by filtering out some of the elements.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Constructor Summary

Constructors
Constructor
Description
`SelectiveIterator(Iterator base)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`Object`
`next()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### SelectiveIterator

public SelectiveIterator(Iterator base)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator`

### next

public Object next()

Specified by:
  `next` in interface `Iterator`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator`